import { jsx } from "react/jsx-runtime";
import { PathIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Path = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Path", ...props, children: /* @__PURE__ */ jsx(PathIcon, { weight: variant }) });
  }
);
Path.displayName = "Path";
Object.assign(Path, { isGdsIcon: true });
export {
  Path
};
